Package org.apache.struts2.config.entities

# Class InterceptorStackConfig.Builder

java.lang.Object
org.apache.struts2.config.entities.InterceptorStackConfig.Builder

All Implemented Interfaces:
  `InterceptorListHolder`

Enclosing class:
  InterceptorStackConfig

public static class InterceptorStackConfig.Builder extends Object implements InterceptorListHolder
The builder for this object. An instance of this object is the only way to construct a new instance. The purpose is to enforce the immutability of the object. The methods are structured in a way to support chaining. After setting any values you need, call the `build()` method to create the object.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected InterceptorStackConfig`
  `target`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder(String name)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InterceptorStackConfig.Builder`
  `addInterceptor(InterceptorMapping interceptor)`
  Add an `InterceptorMapping` object.
  `InterceptorStackConfig.Builder`
  `addInterceptors(List<InterceptorMapping> interceptors)`
  Add a List of `InterceptorMapping` objects.
  `InterceptorStackConfig`
  `build()`
  `protected void`
  `embalmTarget()`
  `InterceptorStackConfig.Builder`
  `location(Location loc)`
  `InterceptorStackConfig.Builder`
  `name(String name)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### target

    protected InterceptorStackConfig target

- ## Constructor Details

  - ### Builder

    public Builder(String name)

- ## Method Details

  - ### name

    public InterceptorStackConfig.Builder name(String name)

  - ### addInterceptor

    public InterceptorStackConfig.Builder addInterceptor(InterceptorMapping interceptor)
    Add an `InterceptorMapping` object.
    Specified by:
      `addInterceptor` in interface `InterceptorListHolder`
    Parameters:
      `interceptor` - interceptor mapping
    Returns:
      this builder

  - ### addInterceptors

    public InterceptorStackConfig.Builder addInterceptors(List<InterceptorMapping> interceptors)
    Add a List of `InterceptorMapping` objects.
    Specified by:
      `addInterceptors` in interface `InterceptorListHolder`
    Parameters:
      `interceptors` - list of interceptor mappings
    Returns:
      this builder

  - ### location

    public InterceptorStackConfig.Builder location(Location loc)

  - ### build

    public InterceptorStackConfig build()

  - ### embalmTarget

    protected void embalmTarget()